

<div class="assignmentSkillWrap">
  <div class="bredcum">


    <div class="menuTab pull-left">
      <ul>
        <li>
          <p>Habits of Learner Details</p>
        </li>

      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean" (click)="openPopup()" >
        Add Habits
      </button>
    </div>
  </div>
  <div class="titleBar">

    <br>

    <table style="width:100%" class="skillDetailsTable">
      <tr>
        <th>Habits Name</th>
        <th>Habits Description</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>

      <tr *ngFor="let habitsOfLearnerObj of habitsOfLearnerList">
        <td>{{habitsOfLearnerObj.habitsOfLearnerName}}</td>
        <td>{{habitsOfLearnerObj.habitsOfLearnerDesp}}</td>
        <td> <button class="btn btn-cyean " (click)="editIntermediatePopUp(habitsOfLearnerObj)">
          Edit Assignment Split Board
        </button></td>
        <td> <button class="btn btn-cyean " (click)="deleteIntermediatePopUp(habitsOfLearnerObj)">
          Delete Assignment Split Board
        </button></td>
      </tr>

    </table>
  </div>


</div>



<div class="popWrap assignmentPopup" id="createHabitsOfLearner">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 *ngIf="!isEdit">Create Assignment Habit Name</h4>
        <h4  *ngIf="isEdit">Edit Assignment Habit Name</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <form #habitsOfLearner="ngForm">
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="habitsOfLearnerObj.touched && habitsOfLearnerObj.invalid">
              <label for="assignmentName">Assignment  Habit Name <span style="color:red">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="habitsOfLearnerObj.habitsOfLearnerName" name="assignmentName" id="assignmentName"
                       #assignmentName="ngModel"  required placeholder="Habit"/>
              </div>
              <span class="alert-msg" *ngIf="assignmentName.touched && assignmentName.invalid">Please Enter Assignment Habit Name.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <label style="display:block;margin:20px 0"  for="assignmentName" style="display:block;margin:20px 0">Assignment Description <span style="color:red">*</span></label>
          <textarea   [(ngModel)]="habitsOfLearnerObj.habitsOfLearnerDesp" required name=description id="description"
                      #description="ngModel" style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"  style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"></textarea>
          <span class="alert-msg" *ngIf="description.touched && description.invalid">Please Enter  Assignment Habit Description</span>
        </div>
        <div class="row">
          <div class="col-sm-6">
            <button class="btn btn-create" *ngIf="!isEdit"  (click)="saveHabitsOfLearner()" [disabled]="!habitsOfLearner.form.valid">Save</button>
            <button class="btn btn-create" *ngIf="isEdit" (click)="updateHabitsOfLearner()" [disabled]="!habitsOfLearner.form.valid">Update</button>
          </div>
          <div class="col-sm-6">
            <button class="btn  btn-Close"  (click)="hidePopup()" >Close</button>

          </div>
        </div>
      </form>
    </div>

  </div>
</div>


<div class="popWrap assignmentPopup" id="deleteHabitsOfLearner">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 >Delete Habit Name</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnDeleteHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <div class="row">
        <div class="col-sm-12">
          <p>Are you sure you want to delete {{deletehabitsoflearnerObj.habitsOfLearnerObj}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-create" (click)="deleteHabitsOfLearner(deletehabitsoflearnerObj)" >Delete</button>

        </div>
        <div class="col-sm-6">
          <button class="btn btn-Close" (click)="closeDeletePopup()">Close</button>
        </div>
      </div>

    </div>

  </div>
</div>
